# fork.h File Reference

`#include <ubixos/types.h>`
`#include <ubixos/sched.h>`

Go to the source code of this file.

## Functions

void | sysFork ()
int | forkCopyProcess (struct taskStruct *newProcess, long ebp, long edi, long esi, long none, long ebx, long ecx, long edx, long eip, long cs, long eflags, long esp, long ss)

## Function Documentation

int forkCopyProcess | ( | struct taskStruct * | newProcess,
|  | long | ebp,
|  | long | edi,
|  | long | esi,
|  | long | none,
|  | long | ebx,
|  | long | ecx,
|  | long | edx,
|  | long | eip,
|  | long | cs,
|  | long | eflags,
|  | long | esp,
|  | long | ss
| ) |

void sysFork | ( |  | ) |